Bug 611118 - Missing kdebase-runtime dependency for Okular (kdegraphics)
Missing kdebase-runtime dependency for Okular (kdegraphics)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
13
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://img541.imageshack.us/img541/52...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 16:00 EDT by Philipp Riemer
Modified: 2010-07-13 16:42 EDT (History)
8 users (show)

See Also:
Fixed In Version: kdeaccessibility-4.4.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 16:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Riemer 2010-07-03 16:00:15 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.2.4) Gecko/20100622 Fedora/3.6.4-1.fc13 Firefox/3.6.4

I installed the "kdegraphics.i686" bundle to get the pdf viewer okular.
Everything works but there are no icons shown when I open it (see screenshot in attachment).
Looks as if the dependency is missing so that the icons where not downloaded automatically.
fedora-kde-icon-theme-0.0.2-2.fc13.noarch is installed.

I think it could be easily fixed - if someone tells me which package I need to install to get the icons ;-)

Reproducible: Always

Steps to Reproduce:
1. open okular
Actual Results:  
No icons, just text (see screenshot)
Comment 1 Kevin Kofler 2010-07-03 16:27:40 EDT
It's not just the icons (oxygen-icon-theme) which is missing, also the widget style, which is in kdebase-runtime.
Comment 2 Rex Dieter 2010-07-03 16:34:53 EDT
ok, 2 problems then.

Mind installing kdebase-runtime, and see how that changes anything?
Comment 3 Philipp Riemer 2010-07-04 05:51:49 EDT
(In reply to comment #2)
> ok, 2 problems then.
> 
> Mind installing kdebase-runtime, and see how that changes anything?    

An installation of kdebase-runtime also installs the oxygen theme and now everything looks fine when I start okular. Thank you.

This is what yum told me (my system is in German):

# yum install kdebase-runtime.i686
...
================================================================================
 Paket                     Arch       Version                 Repository  Grösse
================================================================================
Installieren:
 kdebase-runtime           i686       4.4.4-1.fc13            updates     7.0 M
Installiert für Abhängigkeiten:
 akonadi                   i686       1.3.1-4.fc13            fedora      598 k
 boost-program-options     i686       1.41.0-9.fc13           updates     103 k
 hal-storage-addon         i686       0.5.14-3.fc13           fedora       39 k
 htdig                     i686       4:3.2.0-0.9.b6.fc13     fedora      849 k
 kdebase-runtime-libs      i686       4.4.4-1.fc13            updates     970 k
 kdepimlibs                i686       4.4.4-1.fc13            updates     1.9 M
 kdepimlibs-akonadi        i686       4.4.4-1.fc13            updates     774 k
 mysql                     i686       5.1.47-2.fc13           updates     897 k
 mysql-server              i686       5.1.47-2.fc13           updates     8.3 M
 openslp                   i686       1.2.1-14.fc12           fedora       54 k
 oxygen-icon-theme         noarch     4.4.4-1.fc13            updates      21 M
 perl-DBD-MySQL            i686       4.013-3.fc13            fedora      134 k
 qt-mysql                  i686       1:4.6.2-20.fc13         updates      57 k
Comment 4 Fedora Update System 2010-07-04 20:34:21 EDT
kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13
Comment 5 Fedora Update System 2010-07-04 22:03:17 EDT
kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-1.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-1.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12
Comment 6 Philipp Riemer 2010-07-06 05:18:22 EDT
After the sources updated for F12 and F13, this bug can be closed, can't it?
Comment 7 Fedora Update System 2010-07-07 13:48:58 EDT
kdeaccessibility-4.4.5-1.fc12, kdeadmin-4.4.5-1.fc12, kdeartwork-4.4.5-1.fc12, kdebase-runtime-4.4.5-1.fc12, kdebase-workspace-4.4.5-1.fc12, kdebindings-4.4.5-1.fc12, kdeedu-4.4.5-1.fc12, kdegames-4.4.5-1.fc12, kdelibs-4.4.5-1.fc12, kdemultimedia-4.4.5-1.fc12, kdepim-4.4.5-1.fc12, kdepim-runtime-4.4.5-1.fc12, kdepimlibs-4.4.5-1.fc12, kdeplasma-addons-4.4.5-1.fc12, kdesdk-4.4.5-1.fc12, kdetoys-4.4.5-1.fc12, kdeutils-4.4.5-1.fc12, oxygen-icon-theme-4.4.5-1.fc12, kde-l10n-4.4.5-1.fc12, kdebase-4.4.5-1.fc12, libmsn-4.1-1.fc12, kdenetwork-4.4.5-2.fc12, kdegraphics-4.4.5-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeaccessibility kdeadmin kdeartwork kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme kde-l10n kdebase libmsn kdenetwork kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libmsn-4.1-1.fc12,kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-1.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-2.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12
Comment 8 Fedora Update System 2010-07-07 13:49:43 EDT
kde-l10n-4.4.5-1.fc13, kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kdenetwork-4.4.5-1.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-l10n kdeaccessibility kdeadmin kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys oxygen-icon-theme kdenetwork kdeartwork kdeutils kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-1.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-1.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13
Comment 9 Fedora Update System 2010-07-13 03:37:18 EDT
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeaccessibility kdeadmin kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys oxygen-icon-theme kde-l10n kdenetwork kdeartwork kdeutils kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-2.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-3.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13
Comment 10 Fedora Update System 2010-07-13 16:37:34 EDT
kdeaccessibility-4.4.5-1.fc12, kdeadmin-4.4.5-1.fc12, kdeartwork-4.4.5-1.fc12, kdebase-runtime-4.4.5-1.fc12, kdebase-workspace-4.4.5-1.fc12, kdebindings-4.4.5-1.fc12, kdeedu-4.4.5-1.fc12, kdegames-4.4.5-1.fc12, kdelibs-4.4.5-1.fc12, kdemultimedia-4.4.5-1.fc12, kdepim-4.4.5-1.fc12, kdepim-runtime-4.4.5-1.fc12, kdepimlibs-4.4.5-1.fc12, kdeplasma-addons-4.4.5-1.fc12, kdesdk-4.4.5-1.fc12, kdetoys-4.4.5-1.fc12, kdeutils-4.4.5-1.fc12, oxygen-icon-theme-4.4.5-1.fc12, kdebase-4.4.5-1.fc12, libmsn-4.1-1.fc12, kde-l10n-4.4.5-2.fc12, kdenetwork-4.4.5-3.fc12, kdegraphics-4.4.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-07-13 16:41:41 EDT
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, libmsn-4.1-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.